<?php
/*
Plugin Name: Auto Attachments
Plugin URI: http://www.kaisercrazy.com/cms-sistemleri/wordpress/yeni-plugin-yazdim-auto-attachments.html
Description: This plugin makes your attachments more effective. Supported attachment types are Word, Excel, Pdf, PowerPoint, zip, rar, tar, tar.gz and mp3 
Version: 0.1b
Author: Serkan Algur (a.k.a KaiseRCrazY)
Author URI: http://www.kaisercrazy.com
License: GNU
*/
function get_attachment_icons($echo = false){
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
	$sAttachmentString = "<div class='dIW'> \n";
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/pdf',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/pdf.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Word Documents
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/msword',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/word.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Powerpoint Documents
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/vnd.ms-powerpoint',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/pp.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Excel Documents
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/vnd.ms-excel',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/excel.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}
	//Zipped Files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/zip',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/zip.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}


	//Rar files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/x-rar-compressed',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/rar.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}

	//x-tar files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/x-tar',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/tar.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}

//x-gzip files
	if ( $files = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'application/x-gzip',  //MIME Type condition
	 ))){
	 foreach( $files as $file ){ //setup array for more than one file attachment
		$file_link = wp_get_attachment_url($file->ID);    //get the url for linkage
		$file_name_array=explode("/",$file_link);
		$file_name=array_reverse($file_name_array);  //creates an array out of the url and grabs the filename
		$sAttachmentString .= "<div class='dI'>";
		$sAttachmentString .= "<a href='$file_link'>";
		$sAttachmentString .= "<img src='$urlp/images/mime/gz.png'/>";
		$sAttachmentString .= "</a>";
		$sAttachmentString .= "<br>";
		$sAttachmentString .= "<a class='dItitle' href='$file_link'>$file_name[0]</a>";
		$sAttachmentString .= "</div>";
		}
	}

	//Audio Files
	$mp3s = get_children(array(   //do only if there are attachments of these qualifications
	 'post_parent' => get_the_ID(),
	 'post_type' => 'attachment',
	 'numberposts' => -1,
	 'post_mime_type' => 'audio',  //MIME Type condition
	 ) );

	if (!empty($mp3s)) :
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
	$sAttachmentString .= "<div class='dIW'><ul>";
    		$sAttachmentString .= "<script language='javascript' type='text/javascript' src='$urlp/jw/swfobject.js'></script>";
		foreach($mp3s as $mp3) :
    		$sAttachmentString .= "<li'>";

			if(!empty($mp3->post_title)) : //checking to make sure the post title isn't empty
			endif;
			if(!empty($mp3->post_content)) : //checking to make sure something exists in post_content (description)
			endif;
			$sAttachmentString .= "<div id='mediaspace".$mp3->ID."'></div>";
			$sAttachmentString .= "<script type='text/javascript'>";
			$sAttachmentString .= "var so = new SWFObject('$urlp/jw/player.swf','ply','470','24','9','#000000');";
			$sAttachmentString .= "so.addParam('allowfullscreen','true');";
			$sAttachmentString .= "so.addParam('allowscriptaccess','always');";
			$sAttachmentString .= "so.addParam('wmode','opaque');";
			$sAttachmentString .= "so.addVariable('file','".$mp3->guid."');";
			$sAttachmentString .= "so.write('mediaspace".$mp3->ID."');";
			$sAttachmentString .= "</script>";
			$sAttachmentString .= "<span class='mp3title'>".$mp3->post_title." - ".$mp3->post_content."</span>";
			$sAttachmentString .= "</li>";
		endforeach;
	$sAttachmentString .= "</ul></div>";
	endif;
$sAttachmentString .= "</div>";
$sAttachmentString .= "<div style='clear:both;'></div>";
if($echo){
    echo $sAttachmentString;
  }
  return $sAttachmentString;
}

//Insert code after the_content
add_filter('the_content', insertintoContent);
function insertintoContent($content) {
	if(is_single()) {
	$content .= get_attachment_icons();
}
	return $content;
}

//Add Css into Header
add_action('wp_head', addHeaderCode);
function addHeaderCode() {
	$blogg = get_bloginfo('url'); 
	$urlp = $blogg."/wp-content/plugins/auto-attachments";
            echo '<link type="text/css" rel="stylesheet" href="'.$urlp.'/a-a.css" />' . "\n";
};
?>
